## org.dom4j
Interface NodeFilter

All Known Subinterfaces:
  Pattern, XPath

All Known Implementing Classes:
  DefaultPattern, DefaultXPath, NodeTypePattern, XPathPattern

public interface NodeFilter

`NodeFilter` defines the behavior for a filter or predicate which acts on a DOM4J Node. Instances can be generated from an `DocumentFactory`.

Version:
  $Revision: 1.7 $
Author:
  James Strachan

Method Summary
`boolean` `matches(Node node)` `matches` returns true if the given node matches the filter condition.

Method Detail

### matches

    public boolean matches(Node node)

  `matches` returns true if the given node matches the filter condition.

  Parameters:
    `node` - DOCUMENT ME!
  Returns:
    true if this filter matches the given node

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.